#
# spec file for package nodejs-underscore
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name underscore
%if 0%{?suse_version} == 1315
%define nodejs_modulesdir /usr/lib/node_modules
%endif

Name:           nodejs-underscore
Version:        1.13.6
Release:        1.3
Summary:        A utility belt library for JavaScript
License:        MIT
Group:          Development/Languages/NodeJS
URL:            https://github.com/jashkenas/underscore
Source0:        https://github.com/jashkenas/underscore/archive/%{version}/%{_name}-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?suse_version} < 1315 || 0%{?suse_version} > 1315
BuildRequires:  nodejs-packaging
%endif
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?nodejs_requires}

%description
Underscore.js is a utility belt library for JavaScript that provides support
for the usual functional suspects (each, map, reduce, filter...) without
extending any core JavaScript objects.

%prep
%setup -q -n %{_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{_name}
cp -R * %{buildroot}%{nodejs_modulesdir}/%{_name}

rm -rf %{buildroot}%{nodejs_modulesdir}/underscore/test/.eslintrc

%fdupes %{buildroot}/%{nodejs_modulesdir}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.md README.md
%license LICENSE
%dir %{nodejs_modulesdir}
%{nodejs_modulesdir}/%{_name}

%changelog
* Sat Dec 24 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.13.6
  * minor bugfixes and improved documentation
  * Patch release with improved compatibility with ExtendScript
  * Patch release to address WebPack module federation issue
  * Patch to add exports.require.module, plus testing updates
* Thu Apr 15 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.13.1
  * Fix security issue (boo#1184800, CVE-2021-23358)
  * Fix bugs
  * Many new features
* Tue Jan 23 2018 hillwood@opensuse.org
- Fix Macro about openSUSE version.
* Sun Dec 10 2017 jengelh@inai.de
- Limit description to the package.
* Tue Nov 21 2017 hillwood@opensuse.org
- Initial package.
